Subject: MCV Invoice Update
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 3 May 2002 14:24:44 -0700 (PDT)

I wanted to give you an update on where we stand regarding the invoicing issue on MCV.  

I have spoken with MCV contact, Renee Schroll, and we are in agreement on the pricing of this contract.  Apparently, for a number of months they have not agreed with what Enron was invoicing them.  MCV would simply pay what they thought was due based upon the contract pricing.  Chris and I are working on getting some historical information on what was invoiced versus what was actually paid.  However, this has proven to be a laborious task and will take some time.  We need to reconcile how far back the error goes to determine if there is any AR/AP position.  

Regardless, we do have the April Invoice worked out.  They shortpaid us the amount that was due to us based on April non-deliveries under the MCV II contract.  Chris has reviewed the replacement pricing, and believes it to be fair.  I have reviewed the contract, and the replacement pricing falls within the contract parameters.  The shortpay amount is $384,975.  

Additionally, we still need to invoice them for $381,300 for volumes on Panhandle and for the 1 day's swing in April ($ amount to be determined).  We should be able to get this fixed at the start of next week.